{%- extends 'boot/generic-grub-tftp.jinja2' %}
{%- set device_arch = "x86" %}
{%- set sdk_arch = "x86-64" %}
{%- set device_mach = "intel" %}
{%- set device_type = "upsquare" %}
{%- set yocto_machine = "qemux86-64" %}
{%- set kernel_image = kernel_image|default("bzImage") %}
{%- set rootfs_type = rootfs_type|default("nbd") %}
{%- if (build_type == 'daily') or (build_type == 'release') or (build_type == 'snapshot') or (build_type == 'prerelease') %}
    {%- set rfs_image = rfs_image|default("agl-demo-platform-crosssdk-qemux86-64.ext4.xz") %}
{%- else %}
    {%- set rfs_image = rfs_image|default("agl-demo-platform-qemux86-64.ext4.xz") %}
{%- endif %}